// Sensor SDC30
#include <Wire.h>
#include "SparkFun_SCD30_Arduino_Library.h"
SCD30 airSensor;

int ledR = 1;

uint16_t levelCO2_good = 700;
uint16_t levelCO2_dangerous = 800;
uint16_t  levelCO2;
float temperature, humidity;
long led_delay= 4000;

void setup()
{

  Serial.begin(115200);
  Serial.print("Holaaaaa!!! ");
  Wire.begin();
  if (airSensor.begin() == false) {
    Serial.println("Air sensor not detected. Please check wiring. Freezing...");
    while (1);
  }
  digitalWrite(ledR, HIGH); 
  delay(1000);
  pinMode(ledR, OUTPUT);
}

void loop()
{
  if (airSensor.dataAvailable()) {
    levelCO2 = airSensor.getCO2();
    temperature = airSensor.getTemperature();
    humidity = airSensor.getHumidity();
    Serial.print("CO2(ppm): ");
    Serial.print(levelCO2);
    Serial.print(" Temperature(C): ");
    Serial.print(temperature, 1);
    Serial.print(" Humidity(%): ");
    Serial.println(humidity, 1);
    Serial.println("----------");

    if (levelCO2 <= levelCO2_good) {
      led_delay = 1000;
    }
    if (levelCO2 > levelCO2_good && levelCO2 < levelCO2_dangerous) {
      led_delay = 500;
    }
    if (levelCO2 >= levelCO2_dangerous) {
      led_delay = 200;
    }
  } else {
    Serial.println("Waiting for new data ...");
  }

  digitalWrite(ledR, HIGH);   // turn the LED Red on
  delay(led_delay);
  digitalWrite(ledR, LOW);   // turn the LED Red off
  delay(led_delay);

}
